Bug 179852 - New port: devel/libsigrokdecode
Summary: New port: devel/libsigrokdecode
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-22 23:20 UTC by Uffe Jakobsen
Modified: 2013-12-31 07:10 UTC (History)
0 users

See Also:


Attachments
file.shar (11.29 KB, text/plain)
2013-06-22 23:20 UTC, Uffe Jakobsen
no flags Details
freebsd-port-libsigrokdecode.shar.txt (5.93 KB, text/plain; charset=UTF-8)
2013-06-23 22:38 UTC, Uffe Jakobsen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uffe Jakobsen 2013-06-22 23:20:00 UTC
New port: devel/libsigrokdecode

The sigrok project aims at creating a portable, cross-platform,
Free/Libre/Open-Source signal analysis software suite that supports
various device types, such as logic analyzers, MSOs, oscilloscopes,
multimeters, LCR meters, sound level meters, thermometers, 
hygrometers, anemometers, light meters, DAQs, dataloggers, 
function generators, spectrum analyzers, power supplies,
GPIB interfaces, and more. 

WWW: http://sigrok.org/

Fix: Patch attached with submission follows:
Comment 1 Uffe Jakobsen 2013-06-23 22:38:35 UTC
Doh - wrong pkg-plist - New shar attached to this email

/Uffe
Comment 2 Uffe Jakobsen 2013-07-08 15:16:08 UTC
ping ?
Comment 3 Max Brazhnikov freebsd_committer 2013-07-14 15:28:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 4 Uffe Jakobsen 2013-08-12 20:50:05 UTC
Any news on this one ?

If there is something wrong with this port - then please let me know.
Comment 5 Uffe Jakobsen 2013-08-25 21:15:30 UTC
This port have now passed two months in ports-limbo...

If there is something wrong with this port I would really like to know.
Comment 6 Max Brazhnikov freebsd_committer 2013-08-26 10:05:36 UTC
Responsible Changed
From-To: makc->freebsd-ports-bugs

Return all PR assigned to me to the pool.
Comment 7 Uffe Jakobsen 2013-09-24 21:52:05 UTC
This port have now passed 3 months in ports-limbo...   :-(

If there is something wrong with this port I would really like to know.
Comment 8 Uffe Jakobsen 2013-10-16 12:48:12 UTC
ping ????
Comment 9 Jason Helfman freebsd_committer 2013-12-30 18:54:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 10 dfilter service freebsd_committer 2013-12-31 07:01:45 UTC
Author: jgh
Date: Tue Dec 31 07:01:36 2013
New Revision: 338246
URL: http://svnweb.freebsd.org/changeset/ports/338246

Log:
  The sigrok project aims at creating a portable, cross-platform,
  Free/Libre/Open-Source signal analysis software suite that supports
  various device types, such as logic analyzers, MSOs, oscilloscopes,
  multimeters, LCR meters, sound level meters, thermometers,
  hygrometers, anemometers, light meters, DAQs, dataloggers,
  function generators, spectrum analyzers, power supplies,
  GPIB interfaces, and more.
  
  WWW: http://sigrok.org/
  
  PR:		ports/179852
  Submitted by:	Uffe Jakobsen <uffe@uffe.org>

Added:
  head/devel/libsigrokdecode/
  head/devel/libsigrokdecode/Makefile   (contents, props changed)
  head/devel/libsigrokdecode/distinfo   (contents, props changed)
  head/devel/libsigrokdecode/pkg-descr   (contents, props changed)
  head/devel/libsigrokdecode/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Tue Dec 31 06:58:55 2013	(r338245)
+++ head/devel/Makefile	Tue Dec 31 07:01:36 2013	(r338246)
@@ -1092,6 +1092,7 @@
     SUBDIR += libsigc++20
     SUBDIR += libsigcx
     SUBDIR += libsigrok
+    SUBDIR += libsigrokdecode
     SUBDIR += libsigsegv
     SUBDIR += libslang2
     SUBDIR += libslave

Added: head/devel/libsigrokdecode/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/libsigrokdecode/Makefile	Tue Dec 31 07:01:36 2013	(r338246)
@@ -0,0 +1,27 @@
+# Created by: Uffe Jakobsen <uffe@uffe.org>
+# $FreeBSD$
+
+PORTNAME=	libsigrokdecode
+PORTVERSION=	0.2.0
+CATEGORIES=	devel
+MASTER_SITES=	http://sigrok.org/download/source/libsigrokdecode/
+
+MAINTAINER=	uffe@uffe.org
+COMMENT=	Framework for hardware logic analyzers, protocol decoders library
+
+LICENSE=	GPLv3
+
+USE_PYTHON=	3.1
+GNU_CONFIGURE=	yes
+USES=	gmake pkgconfig pathfix
+USE_GNOME=	gtk20
+MAKE_JOBS_UNSAFE=	yes
+USE_LDCONFIG=	yes
+
+# Workaround for libusb not knowing LIBUSB_CLASS_APPLICATION
+CFLAGS+=	-DLIBUSB_CLASS_APPLICATION=0xfe
+
+post-install:
+	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libsigrokdecode.so
+
+.include <bsd.port.mk>

Added: head/devel/libsigrokdecode/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/libsigrokdecode/distinfo	Tue Dec 31 07:01:36 2013	(r338246)
@@ -0,0 +1,2 @@
+SHA256 (libsigrokdecode-0.2.0.tar.gz) = cf1ebe901181497027d012885fa9860ebf5be5c73e9ba48f91fdc0c737f179c8
+SIZE (libsigrokdecode-0.2.0.tar.gz) = 553128

Added: head/devel/libsigrokdecode/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/libsigrokdecode/pkg-descr	Tue Dec 31 07:01:36 2013	(r338246)
@@ -0,0 +1,9 @@
+The sigrok project aims at creating a portable, cross-platform,
+Free/Libre/Open-Source signal analysis software suite that supports
+various device types, such as logic analyzers, MSOs, oscilloscopes,
+multimeters, LCR meters, sound level meters, thermometers, 
+hygrometers, anemometers, light meters, DAQs, dataloggers, 
+function generators, spectrum analyzers, power supplies,
+GPIB interfaces, and more. 
+
+WWW: http://sigrok.org/

Added: head/devel/libsigrokdecode/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/libsigrokdecode/pkg-plist	Tue Dec 31 07:01:36 2013	(r338246)
@@ -0,0 +1,101 @@
+include/libsigrokdecode/libsigrokdecode.h
+lib/libsigrokdecode.a
+lib/libsigrokdecode.la
+lib/libsigrokdecode.so
+lib/libsigrokdecode.so.1
+libdata/pkgconfig/libsigrokdecode.pc
+%%DATADIR%%/decoders/avr_isp/__init__.py
+%%DATADIR%%/decoders/avr_isp/parts.py
+%%DATADIR%%/decoders/avr_isp/pd.py
+%%DATADIR%%/decoders/can/__init__.py
+%%DATADIR%%/decoders/can/pd.py
+%%DATADIR%%/decoders/dcf77/__init__.py
+%%DATADIR%%/decoders/dcf77/pd.py
+%%DATADIR%%/decoders/ds1307/__init__.py
+%%DATADIR%%/decoders/ds1307/pd.py
+%%DATADIR%%/decoders/edid/__init__.py
+%%DATADIR%%/decoders/edid/pd.py
+%%DATADIR%%/decoders/edid/pnpids.txt
+%%DATADIR%%/decoders/i2c/__init__.py
+%%DATADIR%%/decoders/i2c/pd.py
+%%DATADIR%%/decoders/i2cdemux/__init__.py
+%%DATADIR%%/decoders/i2cdemux/pd.py
+%%DATADIR%%/decoders/i2cfilter/__init__.py
+%%DATADIR%%/decoders/i2cfilter/pd.py
+%%DATADIR%%/decoders/i2s/__init__.py
+%%DATADIR%%/decoders/i2s/pd.py
+%%DATADIR%%/decoders/jtag/__init__.py
+%%DATADIR%%/decoders/jtag/pd.py
+%%DATADIR%%/decoders/jtag_stm32/__init__.py
+%%DATADIR%%/decoders/jtag_stm32/pd.py
+%%DATADIR%%/decoders/lm75/__init__.py
+%%DATADIR%%/decoders/lm75/pd.py
+%%DATADIR%%/decoders/lpc/__init__.py
+%%DATADIR%%/decoders/lpc/pd.py
+%%DATADIR%%/decoders/maxim_ds28ea00/__init__.py
+%%DATADIR%%/decoders/maxim_ds28ea00/pd.py
+%%DATADIR%%/decoders/mlx90614/__init__.py
+%%DATADIR%%/decoders/mlx90614/pd.py
+%%DATADIR%%/decoders/mx25lxx05d/__init__.py
+%%DATADIR%%/decoders/mx25lxx05d/pd.py
+%%DATADIR%%/decoders/mxc6225xu/__init__.py
+%%DATADIR%%/decoders/mxc6225xu/pd.py
+%%DATADIR%%/decoders/nunchuk/__init__.py
+%%DATADIR%%/decoders/nunchuk/pd.py
+%%DATADIR%%/decoders/onewire_link/__init__.py
+%%DATADIR%%/decoders/onewire_link/pd.py
+%%DATADIR%%/decoders/onewire_network/__init__.py
+%%DATADIR%%/decoders/onewire_network/pd.py
+%%DATADIR%%/decoders/pan1321/__init__.py
+%%DATADIR%%/decoders/pan1321/pd.py
+%%DATADIR%%/decoders/rtc8564/__init__.py
+%%DATADIR%%/decoders/rtc8564/pd.py
+%%DATADIR%%/decoders/sdcard_spi/__init__.py
+%%DATADIR%%/decoders/sdcard_spi/pd.py
+%%DATADIR%%/decoders/spi/__init__.py
+%%DATADIR%%/decoders/spi/pd.py
+%%DATADIR%%/decoders/tlc5620/__init__.py
+%%DATADIR%%/decoders/tlc5620/pd.py
+%%DATADIR%%/decoders/transitioncounter/__init__.py
+%%DATADIR%%/decoders/transitioncounter/pd.py
+%%DATADIR%%/decoders/uart/__init__.py
+%%DATADIR%%/decoders/uart/pd.py
+%%DATADIR%%/decoders/uart_dump/__init__.py
+%%DATADIR%%/decoders/uart_dump/pd.py
+%%DATADIR%%/decoders/usb_protocol/__init__.py
+%%DATADIR%%/decoders/usb_protocol/pd.py
+%%DATADIR%%/decoders/usb_signalling/__init__.py
+%%DATADIR%%/decoders/usb_signalling/pd.py
+@dirrm %%DATADIR%%/decoders/usb_signalling
+@dirrm %%DATADIR%%/decoders/usb_protocol
+@dirrm %%DATADIR%%/decoders/uart_dump
+@dirrm %%DATADIR%%/decoders/uart
+@dirrm %%DATADIR%%/decoders/transitioncounter
+@dirrm %%DATADIR%%/decoders/tlc5620
+@dirrm %%DATADIR%%/decoders/spi
+@dirrm %%DATADIR%%/decoders/sdcard_spi
+@dirrm %%DATADIR%%/decoders/rtc8564
+@dirrm %%DATADIR%%/decoders/pan1321
+@dirrm %%DATADIR%%/decoders/onewire_network
+@dirrm %%DATADIR%%/decoders/onewire_link
+@dirrm %%DATADIR%%/decoders/nunchuk
+@dirrm %%DATADIR%%/decoders/mxc6225xu
+@dirrm %%DATADIR%%/decoders/mx25lxx05d
+@dirrm %%DATADIR%%/decoders/mlx90614
+@dirrm %%DATADIR%%/decoders/maxim_ds28ea00
+@dirrm %%DATADIR%%/decoders/lpc
+@dirrm %%DATADIR%%/decoders/lm75
+@dirrm %%DATADIR%%/decoders/jtag_stm32
+@dirrm %%DATADIR%%/decoders/jtag
+@dirrm %%DATADIR%%/decoders/i2s
+@dirrm %%DATADIR%%/decoders/i2cfilter
+@dirrm %%DATADIR%%/decoders/i2cdemux
+@dirrm %%DATADIR%%/decoders/i2c
+@dirrm %%DATADIR%%/decoders/edid
+@dirrm %%DATADIR%%/decoders/ds1307
+@dirrm %%DATADIR%%/decoders/dcf77
+@dirrm %%DATADIR%%/decoders/can
+@dirrm %%DATADIR%%/decoders/avr_isp
+@dirrm %%DATADIR%%/decoders
+@dirrm %%DATADIR%%
+@dirrm include/libsigrokdecode
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Jason Helfman freebsd_committer 2013-12-31 07:02:33 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!